Bug 144718 - [PATCH] audio/libmp3splt: update to 0.5.9, fix build when WITHOUT_NLS is defined
Summary: [PATCH] audio/libmp3splt: update to 0.5.9, fix build when WITHOUT_NLS is defined
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-13 19:10 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-04-22 16:20 UTC (History)
1 user (show)

See Also:


Attachments
libmp3splt-0.5.9.patch (2.56 KB, patch)
2010-03-13 19:10 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff
libmp3splt-0.5.9.patch (2.58 KB, patch)
2010-04-22 13:55 UTC, citrin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-03-13 19:10:02 UTC
- Update to 0.5.9
- Fix build when WITHOUT_NLS is defined

Added file(s):
- files/patch-include-libmp3splt-splt.h
- files/patch-src-mp3splt.c

Port maintainer (citrin@citrin.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-03-13 19:10:11 UTC
Maintainer of audio/libmp3splt,

Please note that PR ports/144718 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144718

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-03-13 19:10:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 citrin 2010-04-16 17:56:25 UTC
Thanks, I will test this patch in next few days

-- 
 Anton Yuzhaninov
Comment 4 citrin 2010-04-21 22:22:01 UTC
I can build and libmp3splt 0.5.9 when WITHOUT_NLS is defined without suggested
patch.

Can you mail me full build log with error?

-- 
 Anton Yuzhaninov
Comment 5 Sunpoet Po-Chuan Hsieh 2010-04-22 11:51:12 UTC
Hi,

Please use this patch with the one in PR/144719.
This patch is for the build of both libmp3splt and mp3splt with WITHOUT_NLS defined.
The reason is that libiconv-related functions are not well wrapped in ifdef conditions.
Indeed, libmp3splt can be built without error when WITHOUT_NLS is defined.
But it affects the build of mp3splt.
As mp3splt depends on libmp3splt, it links against libmp3splt.so which refers
to libintl_bindtextdomain, libintl_dgettext and libintl_bind_textdomain_codeset.
However, these libintl_* should be UNKNOWN references since we have WITHOUT_NLS.

Say that we are compiling libmp3splt 0.59 and mp3splt 2.2.8 with WITHOUT_NLS defined.
Before applying the patches of PR/144718 (libmp3splt) and PR/144719 (mp3splt).
While building mp3splt, we got error messages as follows:

===>  Building for mp3splt-2.2.8
make  all-recursive
Making all in src
cc -DLOCALEDIR=\"/usr/local/share/locale\" -DHAVE_CONFIG_H -I. -I..    -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -I/usr/local/include  -Wall -O2 -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -march=nocona -fno-strict-aliasing -I../libmp3splt/include -I../../libmp3splt/include -MT mp3splt.o -MD -MP -MF .deps/mp3splt.Tpo -c -o mp3splt.o mp3splt.c
mv -f .deps/mp3splt.Tpo .deps/mp3splt.Po
cc  -Wall -O2 -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -march=nocona -fno-strict-aliasing -I../libmp3splt/include -I../../libmp3splt/include  -L/usr/local/lib -L../libmp3splt/src/.libs -L../../libmp3splt/src/.libs -o mp3splt mp3splt.o -L/usr/local/lib -lmp3splt
mp3splt.o(.text+0x1c7): In function `print_no_warranty':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x24d): In function `put_split_file':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x28e): In function `print_error':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x2bd): In function `print_warning':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x48f): In function `put_progress_bar':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x4ff): more undefined references to `libintl_gettext' follow
mp3splt.o(.text+0x2542): In function `main':
: undefined reference to `libintl_textdomain'
mp3splt.o(.text+0x2591): In function `main':
: undefined reference to `libintl_bindtextdomain'
mp3splt.o(.text+0x25a0): In function `main':
: undefined reference to `libintl_bind_textdomain_codeset'
mp3splt.o(.text+0x2687): In function `main':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x29d3): In function `main':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x2d4a): In function `main':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x2e72): In function `main':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x2f5b): In function `main':
: undefined reference to `libintl_gettext'
mp3splt.o(.text+0x3436): more undefined references to `libintl_gettext' follow
/usr/local/lib/libmp3splt.so: undefined reference to `libintl_dgettext'
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8/src.
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8.
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8.
*** Error code 1

Stop in /usr/ports/sunpoet/mp3splt.

Now we apply the patch in PR/144719 (mp3splt). The error messages look like:

===>  Building for mp3splt-2.2.8
make  all-recursive
Making all in src
cc -DLOCALEDIR=\"/usr/local/share/locale\" -DHAVE_CONFIG_H -I. -I..    -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -I/usr/local/include  -Wall -O2 -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -march=nocona -fno-strict-aliasing -I../libmp3splt/include -I../../libmp3splt/include -MT mp3splt.o -MD -MP -MF .deps/mp3splt.Tpo -c -o mp3splt.o mp3splt.c
mv -f .deps/mp3splt.Tpo .deps/mp3splt.Po
cc  -Wall -O2 -O2 -pipe -s -mmmx -msse -msse2 -msse3 -march=nocona -mtune=nocona -march=nocona -fno-strict-aliasing -I../libmp3splt/include -I../../libmp3splt/include  -L/usr/local/lib -L../libmp3splt/src/.libs -L../../libmp3splt/src/.libs -o mp3splt mp3splt.o -L/usr/local/lib -lmp3splt
/usr/local/lib/libmp3splt.so: undefined reference to `libintl_bindtextdomain'
/usr/local/lib/libmp3splt.so: undefined reference to `libintl_dgettext'
/usr/local/lib/libmp3splt.so: undefined reference to `libintl_bind_textdomain_codeset'
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8/src.
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8.
*** Error code 1

Stop in /usr/ports/works/usr/ports/sunpoet/mp3splt/work/mp3splt-2.2.8.
*** Error code 1

Stop in /usr/ports/sunpoet/mp3splt.

At last, we apply two patches and everything works fine.

BR,
- Sunpoet

On Thu, Apr 22, 2010 at 01:22:01AM +0400, Anton Yuzhaninov wrote:
> I can build and libmp3splt 0.5.9 when WITHOUT_NLS is defined without suggested
> patch.
> 
> Can you mail me full build log with error?
> 
> -- 
>  Anton Yuzhaninov

-- 
                              Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
Comment 6 citrin 2010-04-22 13:55:39 UTC
Yes, I can repeat build error. I can build when WITHOUT_NLS is defined only when
gettext is installed.

Slightly updated patch is attached.
Comment 7 Vsevolod Stakhov freebsd_committer 2010-04-22 16:09:18 UTC
State Changed
From-To: feedback->closed

Committed, thank you. 


Comment 8 Vsevolod Stakhov freebsd_committer 2010-04-22 16:09:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vsevolod

I'll handle this.
Comment 9 dfilter service freebsd_committer 2010-04-22 16:09:26 UTC
vsevolod    2010-04-22 15:09:13 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmp3splt     Makefile distinfo 
  Added files:
    audio/libmp3splt/files patch-disable-nls 
  Log:
  * Update to 0.5.9 [1]
  * Fix build when WITHOUT_NLS is defined [2]
  
  PR:             144718
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> [1], maintainer [2]
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.8       +2 -1      ports/audio/libmp3splt/Makefile
  1.4       +3 -3      ports/audio/libmp3splt/distinfo
  1.1       +40 -0     ports/audio/libmp3splt/files/patch-disable-nls (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"